Could not determine java version from '9.0.1'.



  • react-native run-android
    Scanning folders for symlinks in d:\TestReact\helloworld\node_modules (23ms)
    Starting JS server...
    Building and installing the app on the device (cd android && gradlew.bat installDebug)...

    FAILURE: Build failed with an exception.

    • What went wrong:
      Could not determine java version from '9.0.1'.

    • Try:
      Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.
      Could not install the app on the device, read the error above for details.
      Make sure you have an Android emulator running or a device connected and have
      set up your Android development environment:
      https://facebook.github.io/react-native/docs/android-setup.html

    创建工程后,运行工程“react-native run-android”(已连接真机),提示“Could not determine java version from '9.0.1'.”,android studio 3,运行其他android工程一切正常。

    寻求解决之法。



  • 问题已经排除,需要重新安装 Java 1.8 ,不能使用 Java 9.0.1版本


Log in to reply